Desktop Environment
3
LIBXFCE4MENU Library

# Desktop Environment

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

    void                xfce_menu_set_environment           (const gchar *env);
    const gchar*        xfce_menu_get_environment           (void);

## Description

## Details

### xfce_menu_set_environment ()

    void                xfce_menu_set_environment           (const gchar *env);

Sets (or unsets) the desktop environment for which menus will generated. Menus and menu items belonging to other desktop environments will be ignored. If set to `NULL`, all menu items are used.

`env` :

  Name of the desktop environment for which menus will be generated (e.g. XFCE, KDE, GNOME or `NULL`).

### xfce_menu_get_environment ()

    const gchar*        xfce_menu_get_environment           (void);

Returns :

  Name of the desktop environment (e.g. XFCE, KDE, GNOME) which is used or `NULL`.